<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginStart="14dp"
    android:layout_marginTop="15dp"
    android:layout_marginEnd="14dp"
    android:background="@drawable/bg_white_10dp"
    android:paddingStart="11dp"
    android:paddingEnd="11dp">

    <ImageView
        android:id="@+id/iv_tag"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="21dp"
        android:src="@drawable/icon_live_list_tag"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:maxLines="1"
        android:textColor="@color/color_333333"
        android:textSize="@dimen/sp_16"
        app:layout_constraintBottom_toBottomOf="@+id/iv_tag"
        app:layout_constraintLeft_toRightOf="@+id/iv_tag"
        app:layout_constraintTop_toTopOf="@+id/iv_tag"
        tools:text="如何培养孩子练习的兴趣和效率" />

    <TextView
        android:id="@+id/tv_des"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:maxLines="2"
        android:textColor="@color/color_666666"
        android:textSize="@dimen/sp_13"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/iv_tag"
        tools:text="如何让孩子在家养成良好的器乐练习习惯" />

    <View
        android:id="@+id/view_line"
        android:layout_width="0dp"
        android:layout_height="1dp"
        android:layout_marginTop="11dp"
        android:background="@color/color_f2f2f2"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/tv_des" />

    <TextView
        android:gravity="center_vertical"
        android:id="@+id/tv_end_time"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginEnd="5dp"
        android:drawableLeft="@drawable/icon_clock"
        android:drawablePadding="5dp"
        android:ellipsize="end"
        android:includeFontPadding="false"
        android:maxLines="2"
        android:paddingTop="15dp"
        android:paddingBottom="15dp"
        android:textColor="@color/color_666666"
        android:textSize="@dimen/sp_13"
        app:layout_constraintBottom_toBottomOf="@+id/ll_enter_live"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@+id/ll_enter_live"
        app:layout_constraintTop_toTopOf="@+id/ll_enter_live"
        tools:text="结束时间：2021/09/17 14:00" />


    <LinearLayout
        android:id="@+id/ll_enter_live"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="18dp"
        android:layout_marginBottom="18dp"
        android:background="@drawable/shape_ff806f_22dp"
        android:gravity="center"
        android:orientation="horizontal"
        android:paddingStart="8dp"
        android:paddingTop="5dp"
        android:paddingEnd="8dp"
        android:paddingBottom="5dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/view_line">

        <ImageView
            android:id="@+id/iv_enter_live"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/icon_home_live_image1"
            app:layout_constraintBottom_toBottomOf="@+id/tv_enter_live"
            app:layout_constraintHorizontal_chainStyle="packed"
            app:layout_constraintRight_toLeftOf="@+id/tv_enter_live"
            app:layout_constraintTop_toTopOf="@+id/tv_enter_live" />

        <TextView
            android:id="@+id/tv_enter_live"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:paddingStart="2dp"
            android:text="进入直播"
            android:textColor="@color/white"
            android:textSize="@dimen/sp_13" />
    </LinearLayout>

    <TextView
        android:id="@+id/tv_look_playback"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@drawable/shape_2dc7aa_22dp"
        android:gravity="center"
        android:text="查看回放"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_13"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/ll_enter_live"
        app:layout_constraintLeft_toLeftOf="@+id/ll_enter_live"
        app:layout_constraintRight_toRightOf="@+id/ll_enter_live"
        app:layout_constraintTop_toTopOf="@+id/ll_enter_live" />

</androidx.constraintlayout.widget.ConstraintLayout>